require_relative './test_config'

require 'helix_web_services_client'

RSpec.describe 'HelixWebServicesClient login' do

  context '#login' do
    it 'should generate the same ticket' do
      client_as_jdoe do |c|
        ticket = c.login('jdoe', JDOE_PASSWORD)
        # for cloud testing it's random, so...
        expect(ticket).to eq(c.ticket) if !cloud_test?
      end
    end
  end
end