Rails.application.routes.draw do
  get '/api/v1/user' => 'auth#user'
  post '/api/v1/login' => 'auth#login', as: 'login'
  post '/api/v1/logout' => 'auth#logout'

  get '/api/v1/projects' => 'projects#list'
  get '/api/v1/projects/:id' => 'projects#fetch'

  # for debugging in a browser
  get '/' => 'auth#nothing'
end
