module Errors
  # This is mostly raised when passing arguments that the WebService does not understand.
  # It varies between wrong configuration files, or trying to perform an action on a resource
  # that is strictly blocked.
  class BadRequest < Exception
    attr_accessor :messages

    def initialize(messages)
      @messages = messages
    end

    def to_s
      @messages['MessageText']
    end
  end
end
